### Method

# Gtk FontDialog choose_font_and_features

since: 4.10

#### Declaration [src]

    void
    gtk_font_dialog_choose_font_and_features (
      GtkFontDialog* self,
      GtkWindow* parent,
      PangoFontDescription* initial_value,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Presents a font chooser dialog to the user.

The font chooser dialog will be set up for selecting a font and specify features for the selected font.

Font features affect how the font is rendered, for example enabling glyph variants or ligatures.

Available since: 4.10

This method completes asynchronously. Use `gtk_font_dialog_choose_font_and_features_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent window.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`initial_value`

  Type: `PangoFontDescription`

  The font to select initially.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A cancellable to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.